## org.codehaus.groovy.tools
Class Compiler

    java.lang.Object
      org.codehaus.groovy.tools.Compiler

    public class Compiler
    extends Object

A convenience front end for getting standard compilations done. All compile() routines generate classes to the filesystem.

Version:
  $Id: Compiler.java 8008 2007-09-08 06:11:47Z paulk $
Author:
  Chris Poirier

Field Summary
Modifier and Type | Field and Description
--- | ---
`static Compiler` `DEFAULT`

Constructor Summary
Constructor and Description
`Compiler()` Initializes the Compiler with default configuration.
`Compiler(CompilerConfiguration configuration)` Initializes the Compiler with the specified configuration.

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` `compile(File file)` Compiles a single File.
`void` `compile(File[] files)` Compiles a series of Files.
`void` `compile(String[] files)` Compiles a series of Files from file names.
`void` `compile(String name, String code)` Compiles a string of code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final Compiler DEFAULT

Constructor Detail

### Compiler

    public Compiler()

  Initializes the Compiler with default configuration.

### Compiler

    public Compiler(CompilerConfiguration configuration)

  Initializes the Compiler with the specified configuration.

Method Detail

### compile

    public void compile(File file)
                 throws CompilationFailedException

  Compiles a single File.

  Throws:
    `CompilationFailedException`

### compile

    public void compile(File[] files)
                 throws CompilationFailedException

  Compiles a series of Files.

  Throws:
    `CompilationFailedException`

### compile

    public void compile(String[] files)
                 throws CompilationFailedException

  Compiles a series of Files from file names.

  Throws:
    `CompilationFailedException`

### compile

    public void compile(String name,
                        String code)
                 throws CompilationFailedException

  Compiles a string of code.

  Throws:
    `CompilationFailedException`

Copyright © 2003-2010 The Codehaus. All rights reserved.